textures/hm_vync/triglowa
{
    {
        map $lightmap
    }
    {
        map textures/hm_vync/triglowa.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/hm_vync/triglow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 1 0 0.5
    }
}

textures/hm_vync/bgltcw
{
    q3map_surfacelight 500
    surfaceparm nolightmap
    {
        map textures/hm_vync/bgltcw.tga
    }
}

textures/hm_vync/fps_ceillight4
{
    q3map_surfacelight 500
    surfaceparm nolightmap
    {
        map textures/hm_vync/fps_ceillight4.tga
    }
}

textures/hm_vync/light_004
{
    q3map_surfacelight 500
    surfaceparm nolightmap
    {
        map textures/hm_vync/light_004.tga
    }
}

textures/hm_vync/light_004a
{
    q3map_surfacelight 500
    surfaceparm nolightmap
    {
        map textures/hm_vync/light_004a.tga
    }
}

//*****************************LIGHTS*********************************

textures/hm_vync/doorwallcw
{
    q3map_surfacelight 850
    light 1
    surfaceparm nolightmap
    surfaceparm pointlight
    {
        map textures/hm_vync/lighttxtvcw.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen wave sin 0.5 0.25 0 0.25
        tcMod scroll 1 1
    }
    {
        map textures/hm_vync/lighttxtvcw.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.5 0.25 0.5 0.25
        tcMod scroll -1 -1
    }
    {
        map textures/hm_vync/doorwallcw.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/hm_vync/cwpulse2
{
    qer_editorimage textures/hm_vync/cwpulse2.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 3 3
    }
    {
        //tcMod scroll 1 2
        map textures/hm_vync/cwpulse2.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod turb 1 2 1 8
        tcMod scale .5 .5
    }
}

textures/hm_vync/b_sptl
{
    qer_editorimage textures/hm_vync/blues.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/hm_vync/b_sptl.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.05 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcMod scroll -0.03 0
    }
}

textures/hm_vync/g_sptl
{
    qer_editorimage textures/hm_vync/greens.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/hm_vync/g_sptl.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.05 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcMod scroll -0.03 0
    }
}


textures/hm_vync/y_sptl
{
    qer_editorimage textures/hm_vync/yellows.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/hm_vync/y_sptl.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.05 0
    }
    {
        map textures/borg/dust.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcMod scroll -0.03 0
    }
}